extends layout

block content
    link(rel='stylesheet', href='/styles/broadcastTx.css')
    script(src='src/javascripts/broadcastTx.js')
    .subDiv  
        label.subDivLabel Transaction Type
        label.spacing |
        select#txTypeComboBox(name="transactionType" form="dataForm" onchange="changeTransactionType()")
            option(name="creation" value="creation") SC Creation
            option(name="invocation" value="invocation") SC Invocation
            option(name="destruction" value="destruction") SC Destruction
    //.subDiv 
        label.subDivLabel Broadcast Mode
        label.spacing |
        select#broadcastTypeComboBox
            option(name="async") Asynchronous
            option(name="sync") Synchronous
            option(name="commit") Commit
    form#dataForm(action="/broadcastTransaction", autocomplete="off")
        fieldset#fieldSet
            legend.formLabel Transaction
            .divForm(id="invocationDiv") 
              label.formLabel Invocation Type: &nbsp; &nbsp;
              select#sendType(name="invocationType" form="dataForm" required onclick="changeInvocationMode()")
                option(name="unicast" value="unicast") Unicast
                option(name="retract" value="multicast") Multicast
                option(name="send" value="broadcast") Broadcast
              hr.formHL(width='45%')
            .divForm(id="theoryDiv")
              label.formLabel(for="dataForm" title="Inital theory for the new smart contract.") Theory: &nbsp; &nbsp;
              input.formInput(id="theoryInput" type="text" name="theory" placeholder="notheory" value="notheory" required)
            .divForm(id="rolesDiv")
              label.formLabel(for="dataForm" title="Roles allowed to interact with the smart contract, comma separated.") Allowed Roles: &nbsp; &nbsp;
              input.formInput(id="rolesInput" type="text" name="roles" placeholder="any" value="any" required)
            .divForm(id="onStartDiv")
              label.formLabel(for="dataForm" title="Initial goal for the smart contract") On Start: &nbsp; &nbsp;
              input.formInput(id="onStartInput" type="text" name="onStart" placeholder="none" value="any" required)
            .divForm(id="addressDiv")
              label.formLabel(for="dataForm") Smart contract address: &nbsp; &nbsp;
              input.formInput(id="addressInput" type="text" name="scAddress" placeholder="sc address" disabled required)
            .divForm(id="goalDiv")
              label.formLabel(for="dataForm") Goal: &nbsp; &nbsp;
              input.formInput(id="goalInput", type="text" name="goal" placeholder="goal" disabled required)
        br
        br
        button.formButton(type="button" onclick="window.location.href = '/'") Home
        input.formButton(type="submit" value="Broadcast")
    
